/*
 * Copyright 2015-2020 All rights reserved.
 */
package com.scm.api.feign.fallback.contract.common;

import com.scm.api.contract.entity.common.TOperatingLog;
import com.scm.api.feign.contract.common.RmTOperatingLogService;
import com.set.direwolf.core.mybatis.Page;
import com.set.direwolf.core.web.OperationResult;
import lombok.Setter;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Component;

/**
 * <pre>
 * ----auto generated-------
 * 日志信息Feign调用异常捕捉实现类
 * </pre>
 *
 * @author wangning
 * @version 2020-04-29 09:58:09
 */
@Slf4j
@Component
public class RmTOperatingLogServiceFallbackImpl implements RmTOperatingLogService {
    @Setter
    private Throwable cause;

    @Override
    public Page<TOperatingLog> findPage(TOperatingLog tOperatingLog) {
        log.error("feign 获取分页数据失败", cause);
        return null;
    }

    @Override
    public OperationResult save(TOperatingLog tOperatingLog) {
        log.error("feign 保存数据失败", cause);
        return null;
    }

    @Override
    public OperationResult delete(TOperatingLog tOperatingLog) {
        log.error("feign 删除数据失败", cause);
        return null;
    }

    @Override
    public OperationResult deleteAll(String ids) {
        log.error("feign 批量删除数据失败", cause);
        return null;
    }

}