package com.scm.contract.model.purchase;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.set.direwolf.core.mybatis.BaseEntity;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Date;
import java.util.List;

/**
 * @author zuo
 * @date 2024/6/4 17:56
 */
@Getter
@Setter
@ToString
@Accessors(chain = true)
@TableName(value = "tag_purchase_detail")
@Data
public class TagPurchaseDetail {

    /**
     * id
     */
    @TableId
    private String id;

    /**
     * 主表id
     */
    @TableField(value = "`tagPurchaseId`")
    private String tagPurchaseId;

    /**
     * 标签类型id（对应字典表）
     */
    @TableField(value = "`tagTypeId`")
    private String tagTypeId;

    /**
     * 需求数量
     */
    @TableField(value = "`number`")
    private Long number;

    /**
     * 单价
     */
    @TableField(value = "`unitPrice`")
    private Double unitPrice;

    /**
     * 标签类型名称
     */
    @TableField(exist = false)
    private String tagTypeName;

    /**
     * 总价
     */
    @TableField(exist = false)
    private Double amount;
}
